import 'package:editablegrid/models/grid-headers.dart';
import 'package:flutter/material.dart';
import 'package:editablegrid/editable-grid.dart';
import 'package:editablegrid/widgets/editable/editable-cell.dart';
import 'grid-builder.dart';

///Sample class that showcase the use of the editable-grid package for grids with multiple headers.
class MultiHeadersGrid extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _MultiHeadersGridState();
}

class _MultiHeadersGridState extends State<MultiHeadersGrid> {
  @override
  Widget build(BuildContext context) {
    var mocks = CellsMock();

    return GridBuilder.buildGridWrap(
        context: context,
        appBarTitle: 'Multi-headers grid',
        grid: buildGrid(context, mocks),
        editionCompletedCallback: () => mocks.showData(context));
  }

  EditableGridWidget buildGrid(BuildContext context, CellsMock mocks) {
    return EditableGridWidget(
      headers: EditableGridHeaders(
          specifiedHeaders: GridHeaders.Both,
          cHeaders: ["C1", "C2", "C3"],
          rHeaders: ["R1", "R2"]),
      gridCell: [
        //Row 1
        [
          EditableCellWidget(cell: mocks.cellR1C1),
          EditableCellWidget(cell: mocks.cellR1C2),
          EditableCellWidget(cell: mocks.cellR1C3),
        ],
        //Row 2
        [
          EditableCellWidget(cell: mocks.cellR2C1),
          EditableCellWidget(cell: mocks.cellR2C2),
          EditableCellWidget(cell: mocks.cellR2C3),
        ]
      ],
    );
  }
}
