import 'package:editablegrid/models/grid-headers.dart';
import 'package:flutter/material.dart';
import 'package:editablegrid/editable-grid.dart';
import 'package:editablegrid/widgets/editable/editable-cell.dart';
import 'grid-builder.dart';

///Sample class that showcase the use of the editable-grid package for grids that only specify row headers.
class RowHeadersGrid extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _RowHeadersGridState();
}

class _RowHeadersGridState extends State<RowHeadersGrid> {
  @override
  Widget build(BuildContext context) {
    var mocks = CellsMock();

    return GridBuilder.buildGridWrap(
        context: context,
        appBarTitle: 'Row headers only grid',
        grid: buildGrid(context, mocks),
        editionCompletedCallback: () => mocks.showData(context));
  }

  EditableGridWidget buildGrid(BuildContext context, CellsMock mocks) {
    return EditableGridWidget(
      headers: EditableGridHeaders(
        specifiedHeaders: GridHeaders.Rows,
        rHeaders: ["R1", "R2"],
      ),
      gridCell: [
        //Row 1
        [
          EditableCellWidget(cell: mocks.cellR1C1),
          EditableCellWidget(cell: mocks.cellR1C2),
          EditableCellWidget(cell: mocks.cellR1C3),
        ],
        //Row 2
        [
          EditableCellWidget(cell: mocks.cellR2C1),
          EditableCellWidget(cell: mocks.cellR2C2),
          EditableCellWidget(cell: mocks.cellR2C3),
        ]
      ],
    );
  }
}
